curl -X GET "https://api.cngn.co/v1/api/networks" \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.cngn.co/v1/api/networks", {
headers: { Authorization: `Bearer ${API_KEY}` },
});
res = requests.get(
"https://api.cngn.co/v1/api/networks",
headers={"Authorization": f"Bearer {API_KEY}"},
)
{
"status": 200,
"message": "Supported networks fetched successfully",
"data": [
{
"id": "9b2e6a1f-3c4d-4e5f-8a7b-1c2d3e4f5a6b",
"name": "Base",
"short_name": "BASE",
"isDisabled": false,
"blockchain": null
},
{
"id": "1f2e3d4c-5b6a-7988-9a0b-c1d2e3f4a5b6",
"name": "Polygon",
"short_name": "POLYGON",
"isDisabled": false,
"blockchain": null
}
]
}
Wallet
Get Networks
List the blockchain networks cNGN currently supports
GET
/
v1
/
api
/
networks
curl -X GET "https://api.cngn.co/v1/api/networks" \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.cngn.co/v1/api/networks", {
headers: { Authorization: `Bearer ${API_KEY}` },
});
res = requests.get(
"https://api.cngn.co/v1/api/networks",
headers={"Authorization": f"Bearer {API_KEY}"},
)
{
"status": 200,
"message": "Supported networks fetched successfully",
"data": [
{
"id": "9b2e6a1f-3c4d-4e5f-8a7b-1c2d3e4f5a6b",
"name": "Base",
"short_name": "BASE",
"isDisabled": false,
"blockchain": null
},
{
"id": "1f2e3d4c-5b6a-7988-9a0b-c1d2e3f4a5b6",
"name": "Polygon",
"short_name": "POLYGON",
"isDisabled": false,
"blockchain": null
}
]
}
Returns the networks available for withdrawals, bridging, and address whitelisting. Use the returned
Response (decrypted
id as networkId in other endpoints.
Network IDs differ between test and live environments. Resolve them per environment; never hard-code them.
Query parameters
boolean
default:"false"
When
true, includes underlying blockchain metadata for each network.Response (decrypted data)
object[]
curl -X GET "https://api.cngn.co/v1/api/networks" \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.cngn.co/v1/api/networks", {
headers: { Authorization: `Bearer ${API_KEY}` },
});
res = requests.get(
"https://api.cngn.co/v1/api/networks",
headers={"Authorization": f"Bearer {API_KEY}"},
)
{
"status": 200,
"message": "Supported networks fetched successfully",
"data": [
{
"id": "9b2e6a1f-3c4d-4e5f-8a7b-1c2d3e4f5a6b",
"name": "Base",
"short_name": "BASE",
"isDisabled": false,
"blockchain": null
},
{
"id": "1f2e3d4c-5b6a-7988-9a0b-c1d2e3f4a5b6",
"name": "Polygon",
"short_name": "POLYGON",
"isDisabled": false,
"blockchain": null
}
]
}